#pragma once

#include <FL/Fl_Widget.H>
#include <FL/Fl_Choice.H>

#include <string>

#include "../uw/background.hh"

namespace fe {
  class Background {
    public:
      Background();
      ~Background();

      static void chooseImageCb(Fl_Widget *, void *);
      static void setWallpaperCb(Fl_Widget *, void *);
      static void modeCHangeCb(Fl_Widget *, void *);

      static std::string getFilename() { return sfp; }
      static void setFilename(std::string filename) { sfp = filename; }
      static uw::Mode getMode();

    private:
      static std::string sfp;
  };
}
